Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2134020 - Review Request: mingw-python-wheel - MinGW Windows Python wheel library
Summary: Review Request: mingw-python-wheel - MinGW Windows Python wheel library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-10-12 07:20 UTC by Sandro Mani
Modified: 2022-11-01 11:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-11-01 11:05:16 UTC
Type: ---
Embargoed:
loganjerry: fedora-review+


Attachments (Terms of Use)

Description Sandro Mani 2022-10-12 07:20:29 UTC
Spec URL: https://smani.fedorapeople.org/review/mingw-python-wheel.spec
SRPM URL: https://smani.fedorapeople.org/review/mingw-python-wheel-0.37.1-1.fc38.src.rpm
Description: MinGW Windows Python wheel library
Fedora Account System Username: smani

Comment 1 Jerry James 2022-10-17 16:38:33 UTC
I will take this review.

Comment 2 Jerry James 2022-10-17 16:41:52 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Issues:
=======
- The License tag does not reflect the bundled copy of packaging.  The
  python-wheel package has a License tag of "MIT and (ASL-2.0 or BSD)", which
  has not been converted to SPDX.  I think it should be "MIT AND (Apache-2.0 OR
  BSD-2-Clause)", but check me on that.

- As with mingw-pip, both packages have a Requires on /usr/bin/python3.10.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT License", "Unknown or generated", "*No copyright* MIT
     License", "*No copyright* Apache License 2.0". 62 files have unknown
     license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
mingw32-python3-wheel.noarch: W: no-documentation
mingw64-python3-wheel.noarch: W: no-documentation
mingw32-python3-wheel.noarch: W: files-duplicate /usr/i686-w64-mingw32/lib/python3.10/site-packages/wheel-0.37.1-py3.10.egg-info/not-zip-safe /usr/i686-w64-mingw32/lib/python3.10/site-packages/wheel-0.37.1-py3.10.egg-info/dependency_links.txt
mingw64-python3-wheel.noarch: W: files-duplicate /usr/x86_64-w64-mingw32/lib/python3.10/site-packages/wheel-0.37.1-py3.10.egg-info/not-zip-safe /usr/x86_64-w64-mingw32/lib/python3.10/site-packages/wheel-0.37.1-py3.10.egg-info/dependency_links.txt
2 packages and 1 specfiles checked; 0 errors, 4 warnings, 0 badness; has taken 0.2 s


Rpmlint (installed packages)
----------------------------
mingw64-python3-wheel.noarch: W: no-documentation
mingw32-python3-wheel.noarch: W: no-documentation
mingw64-python3-wheel.noarch: W: files-duplicate /usr/x86_64-w64-mingw32/lib/python3.10/site-packages/wheel-0.37.1-py3.10.egg-info/not-zip-safe /usr/x86_64-w64-mingw32/lib/python3.10/site-packages/wheel-0.37.1-py3.10.egg-info/dependency_links.txt
mingw32-python3-wheel.noarch: W: files-duplicate /usr/i686-w64-mingw32/lib/python3.10/site-packages/wheel-0.37.1-py3.10.egg-info/not-zip-safe /usr/i686-w64-mingw32/lib/python3.10/site-packages/wheel-0.37.1-py3.10.egg-info/dependency_links.txt
2 packages and 0 specfiles checked; 0 errors, 4 warnings, 0 badness; has taken 0.1 s 


Source checksums
----------------
https://files.pythonhosted.org/packages/source/w/wheel/wheel-0.37.1.tar.gz :
  CHECKSUM(SHA256) this package     : e9a504e793efbca1b8e0e9cb979a249cf4a0a7b5b8c9e8b65a5e39d49529c1c4
  CHECKSUM(SHA256) upstream package : e9a504e793efbca1b8e0e9cb979a249cf4a0a7b5b8c9e8b65a5e39d49529c1c4


Requires
--------
mingw32-python3-wheel (rpmlib, GLIBC filtered):
    /usr/bin/python3.10

mingw64-python3-wheel (rpmlib, GLIBC filtered):
    /usr/bin/python3.10


Provides
--------
mingw32-python3-wheel:
    mingw32-python3-wheel

mingw64-python3-wheel:
    mingw64-python3-wheel


Generated by fedora-review 0.9.0 (6761b6c) last change: 2022-08-23
Command line :/usr/bin/fedora-review -b 2134020 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Python
Disabled plugins: R, Perl, PHP, Ocaml, SugarActivity, Java, C/C++, Ruby, fonts, Haskell
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Sandro Mani 2022-10-19 16:47:26 UTC
Thanks for the review, I've addressed the issues raised:

Spec URL: https://smani.fedorapeople.org/review/mingw-python-wheel.spec
SRPM URL: https://smani.fedorapeople.org/review/mingw-python-wheel-0.37.1-2.fc38.src.rpm

%changelog
* Wed Oct 19 2022 Sandro Mani <manisandro> - 0.37.1-2
- Fix license
- Add host build
- Filter requires on */bin/wheel

Comment 4 Jerry James 2022-10-19 17:48:37 UTC
Looks good.  This package is APPROVED.

Comment 5 Sandro Mani 2022-10-19 17:50:28 UTC
Thanks a lot, let me know if I can exchange the favor!

Comment 6 Gwyn Ciesla 2022-10-19 18:02:41 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mingw-python-wheel

Comment 7 Fedora Update System 2022-11-01 10:58:07 UTC
FEDORA-2022-f7a5568776 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-f7a5568776

Comment 8 Fedora Update System 2022-11-01 11:05:16 UTC
FEDORA-2022-f7a5568776 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.